using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 数类型
    /// </summary>
    public enum BSCaculateType
    {
        /// <summary>
        /// 隐患原因 数量 1  CaculateRiskReason
        /// </summary>
        [Description("隐患原因")]
        RiskReason = 1,

        /// <summary>
        /// 隐患整改情况 5  RiskCorrect
        /// BSCorrectType 
        /// </summary>
        [Description("隐患整改情况")]
        RiskCorrect = 5,


        /// <summary>
        /// 月度安全检查数量 10 
        /// </summary>
        [Description("月度安全检查数量")]
        SafeCheck = 10,

    }

    /// <summary>
    /// 整改类型
    /// </summary>
    public enum BSCorrectType
    {
        /// <summary>
        /// 按时整改隐患 5
        /// </summary>
        [Description("按时整改隐患")]
        inTime = 5,

        /// <summary>
        /// 超期整改隐患 10
        /// </summary>
        [Description("超期整改隐患")]
        outTime = 10,

        /// <summary>
        /// 未整改隐患 15
        /// </summary>
        [Description("未整改隐患")]
        noCorrect = 15,

        /// <summary>
        /// 隐患整改率 20
        /// </summary>
        [Description("隐患整改率")]
        CorrectPercent = 20
    }
}
